Module | Fog::Brightbox::OAuth2
In: | lib/fog/brightbox/oauth2.rb

This module covers Brightbox‘s partial implementation of OAuth 2.0 and enables fog clients to implement several authentictication strategies

@see tools.ietf.org/html/draft-ietf-oauth-v2-10

### Methods

request_access_token

### Classes and Modules

Class Fog::Brightbox::OAuth2::ClientCredentialsStrategy
Class Fog::Brightbox::OAuth2::CredentialSet
Class Fog::Brightbox::OAuth2::GrantTypeStrategy
Class Fog::Brightbox::OAuth2::RefreshTokenStrategy
Class Fog::Brightbox::OAuth2::UserCredentialsStrategy

### Public Instance methods

request_access_token(connection, credentials)

This builds the simplest form of requesting an access token based on the arguments passed in

@param [Fog::Connection] connection @param [CredentialSet] credentials

@return [Excon::Response]

[Validate]